## com.baidubce.services.ses.model
Class SendEmailRequest.Mail.Attachment

    java.lang.Object
      com.baidubce.services.ses.model.SendEmailRequest.Mail.Attachment

Enclosing class:
  SendEmailRequest.Mail

    public static class SendEmailRequest.Mail.Attachment

extends Object

Nested Class Summary
`static class` `SendEmailRequest.Mail.Attachment.FileData`

Constructor Summary
`SendEmailRequest.Mail.Attachment()`
`SendEmailRequest.Mail.Attachment(String filename, SendEmailRequest.Mail.Attachment.FileData filedata)`
`SendEmailRequest.Mail.Attachment(String filename, String filedata)`

Method Summary
`SendEmailRequest.Mail.Attachment.FileData` `getFiledata()`
`String` `getFilename()`
`void` `setFiledata(SendEmailRequest.Mail.Attachment.FileData filedata)`
`void` `setFilename(String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendEmailRequest.Mail.Attachment

    public SendEmailRequest.Mail.Attachment()

### SendEmailRequest.Mail.Attachment

    public SendEmailRequest.Mail.Attachment(String filename,
                                            String filedata)

### SendEmailRequest.Mail.Attachment

    public SendEmailRequest.Mail.Attachment(String filename,
                                            SendEmailRequest.Mail.Attachment.FileData filedata)

Method Detail

### getFilename

    public String getFilename()

### setFilename

    public void setFilename(String filename)

### getFiledata

    public SendEmailRequest.Mail.Attachment.FileData getFiledata()

### setFiledata

    public void setFiledata(SendEmailRequest.Mail.Attachment.FileData filedata)

Copyright © 2016. All rights reserved.